FROM node:18-alpine

WORKDIR /app

# install deps
COPY package.json ./package.json
RUN npm install --production

# copy code + config
COPY persona-server.js ./persona-server.js
COPY personas.json ./personas.json

EXPOSE 7080
CMD ["node", "persona-server.js"]
